Bug 1025585 - unexpected (extra and missing) entries shown on btrfs
unexpected (extra and missing) entries shown on btrfs
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: system-storage-manager (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Lukáš Czerner
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-31 22:17 EDT by Chris Murphy
Modified: 2014-02-05 22:48 EST (History)
1 user (show)

See Also:
Fixed In Version: system-storage-manager-0.4-4.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 22:48:17 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
default ssm list (2.10 KB, text/plain)
2013-10-31 22:19 EDT, Chris Murphy
no flags Details
default fstab (688 bytes, text/plain)
2013-10-31 22:20 EDT, Chris Murphy
no flags Details
custom fstab, ssm list (2.10 KB, text/plain)
2013-10-31 22:21 EDT, Chris Murphy
no flags Details
custom fstab (784 bytes, text/plain)
2013-10-31 22:22 EDT, Chris Murphy
no flags Details
mountinfo, c5 state (3.15 KB, text/plain)
2013-10-31 22:28 EDT, Chris Murphy
no flags Details
stat for home and data, c5 state (820 bytes, text/plain)
2013-10-31 22:30 EDT, Chris Murphy
no flags Details

  None (edit)
Description Chris Murphy 2013-10-31 22:17:32 EDT
Description of problem: When using btrfs, an extra item is always shown on a non-existent mount point.


Version-Release number of selected component (if applicable):
system-storage-manager-0.2-3.fc20.noarch

How reproducible:
Always

Steps to Reproduce:
1. Clean install F20 with only /home as btrfs.
2. ssm list

Actual results:
fedora     fedora    292.97 GB  btrfs    292.97 GB  272.31 GB  btrfs  /home        
fedora:5   fedora    292.97 GB  btrfs    292.97 GB  272.31 GB  btrfs  /home/5 

Expected results:

Only the first line is expected. I don't understand the meaning of the 2nd line, there isn't a /home/5 mount point.


Additional info:
It becomes more confusing when I create another subvolume "data" and mount it at /data, and set this in fstab, leaving the /home fstab entry as is. Now I get:

fedora     fedora    292.97 GB  btrfs    292.97 GB  272.31 GB  btrfs  /data        
fedora:5   fedora    292.97 GB  btrfs    292.97 GB  272.31 GB  btrfs  /data/5 

Where is /home? It's still mounted.
Comment 1 Chris Murphy 2013-10-31 22:19:56 EDT
Created attachment 818106 [details]
default ssm list

Clean install, default fstab.
Comment 2 Chris Murphy 2013-10-31 22:20:24 EDT
Created attachment 818107 [details]
default fstab

Unmodified fstab.
Comment 3 Chris Murphy 2013-10-31 22:21:37 EDT
Created attachment 818113 [details]
custom fstab, ssm list

This is with custom fstab that includes mounting subvol "data" to mountpoint /data.
Comment 4 Chris Murphy 2013-10-31 22:22:05 EDT
Created attachment 818114 [details]
custom fstab

Adds /data mount point.
Comment 5 Chris Murphy 2013-10-31 22:24:55 EDT
If I use the default fstab to boot, then ssm list, then manually mount subvol=data to /data, then ssm list, there is no change in results. (The data subvolume/mountpoint is not listed.)
Comment 6 Chris Murphy 2013-10-31 22:28:15 EDT
Created attachment 818116 [details]
mountinfo, c5 state

continuing from comment 5, I issued cat /proc/self/mountinfo
Comment 7 Chris Murphy 2013-10-31 22:30:38 EDT
Created attachment 818117 [details]
stat for home and data, c5 state

continuing from existing mount state, issued a stat for /home and /data.
Comment 8 Lukáš Czerner 2013-11-06 10:56:27 EST
Unfortunatelly ssm in Fedora 20 is outdated and as btrfs tools are changing all the time it is not going to work with recent btrfs progs. I need to update ssm for Fedora 20. Upstream version should work just fine.

Thanks for the report.

-Lukas
Comment 9 Lukáš Czerner 2014-01-22 06:57:10 EST
Building in system-storage-manager-0.4-4
Comment 10 Fedora Update System 2014-01-22 07:03:01 EST
system-storage-manager-0.4-4.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/system-storage-manager-0.4-4.fc20
Comment 11 Fedora Update System 2014-01-23 06:14:50 EST
Package system-storage-manager-0.4-4.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing system-storage-manager-0.4-4.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-1393/system-storage-manager-0.4-4.fc20
then log in and leave karma (feedback).
Comment 12 Fedora Update System 2014-02-05 22:48:17 EST
system-storage-manager-0.4-4.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.